Subject: [secdir] secdir review of draft-ietf-xrblock-rtcp-xr-loss-conceal-11.txt

From: Stephen Hanna <[email-masked]>
Date: Thu, 10 Apr 2014 13:37:45 +0000

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This document is "Ready with nits".

This document defines two RTCP XR Report Blocks that allow the
reporting of concealment metrics for audio applications of RTP.
In layman's terms, this allows an audio receiver to report back
on how much the audio is being mangled by packet loss.

>From a security perspective, this document is fine. The security
considerations section says that this document introduces no new
security considerations beyond those described in [RFC3611].
I agree.

I do have one nit that I wanted to ask about. At the very end of
section 3.2, the Mean Playout Interrupt Size is defined to be
32 bits long. However, the second paragraph of this definition
says:

      If the measured value exceeds 0xFFFD, the value 0xFFFE MUST be
      reported to indicate an over-range measurement.  If the
      measurement is unavailable, the value 0xFFFF MUST be reported.

Shouldn't those constants be 0xFFFFFFFD, 0xFFFFFFFE, and 0xFFFFFFFF?

Thanks,

Steve

P.S. I apologize for sending this review late. However, I believe
that it's still before the IESG telechat on this document so I hope
that it will have some value.

---

From: Qin Wu <[email-masked]>
Date: Fri, 11 Apr 2014 01:13:07 +0000

Correct, I have been aware of this nit when I go through Pete' proposed change during IESG review.
Thanks for catching this and bringing it up. We will fix this in the update.

Regards!
-Qin
-----邮件原件-----
发件人: Stephen Hanna [mailto:[email-masked]] 
发送时间: 2014年4月10日 21:38
收件人: The IESG; [email-masked]; [email-masked]
主题: secdir review of draft-ietf-xrblock-rtcp-xr-loss-conceal-11.txt

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document defines two RTCP XR Report Blocks that allow the reporting of concealment metrics for audio applications of RTP.
In layman's terms, this allows an audio receiver to report back on how much the audio is being mangled by packet loss.

From a security perspective, this document is fine. The security considerations section says that this document introduces no new security considerations beyond those described in [RFC3611].
I agree.

I do have one nit that I wanted to ask about. At the very end of section 3.2, the Mean Playout Interrupt Size is defined to be
32 bits long. However, the second paragraph of this definition
says:

Thanks,

Steve

P.S. I apologize for sending this review late. However, I believe that it's still before the IESG telechat on this document so I hope that it will have some value.